EnderDash

Subscribe Push

POST
/notifications/subscribePush

Authorization

__Secure-enderdash.session_token<token>

Signed-in EnderDash browser session cookie.

In: cookie

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

organizationId?string
Length1 <= length
organizationSlug?string
Length1 <= length
deviceName*string
Length1 <= length <= 120
subscription*

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/notifications/subscribePush" \  -H "Content-Type: application/json" \  -d '{    "deviceName": "string",    "subscription": {      "endpoint": "http://example.com",      "expirationTime": 0,      "keys": {        "auth": "string",        "p256dh": "string"      }    }  }'
null